const timezoneByIndex = {
  0: 'Pacific/Apia',
  1: 'Etc/GMT+12',
  2: 'Pacific/Midway',
  3: 'Pacific/Honolulu',
  4: 'America/Anchorage',
  5: 'America/Los_Angeles',
  6: 'America/Santa_Isabel',
  7: 'America/Denver',
  8: 'America/Chihuahua',
  9: 'America/Phoenix',
  10: 'America/Regina',
  11: 'America/Guatemala',
  12: 'America/Chicago',
  13: 'America/New_York',
  14: 'America/Bogota',
  15: 'America/Indianapolis',
  16: 'America/Caracas',
  17: 'America/Halifax',
  18: 'America/Cuiaba',
  19: 'America/Santiago',
  20: 'America/Asuncion',
  21: 'America/La_Paz',
  22: 'America/St_Johns',
  23: 'America/Bahia',
  24: 'America/Buenos_Aires',
  25: 'America/Sao_Paulo',
  26: 'America/Godthab',
  27: 'America/Montevideo',
  28: 'America/Cayenne',
  29: 'America/Noronha',
  30: 'Atlantic/Azores',
  31: 'Atlantic/Cape_Verde',
  32: 'Europe/London',
  33: 'Atlantic/Reykjavik',
  34: 'Africa/Casablanca',
  35: 'America/Danmarkshavn',
  36: 'Europe/Budapest',
  37: 'Europe/Warsaw',
  38: 'Africa/Windhoek',
  39: 'Europe/Paris',
  40: 'Africa/Lagos',
  41: 'Europe/Berlin',
  42: 'Africa/Cairo',
  43: 'Europe/Kiev',
  44: 'Europe/Bucharest',
  45: 'Asia/Jerusalem',
  46: 'Africa/Tripoli',
  47: 'Asia/Beirut',
  48: 'Africa/Johannesburg',
  49: 'Asia/Damascus',
  50: 'Europe/Istanbul',
  51: 'Asia/Riyadh',
  52: 'Asia/Baghdad',
  53: 'Europe/Minsk',
  54: 'Africa/Nairobi',
  55: 'Asia/Amman',
  56: 'Europe/Kaliningrad',
  57: 'Asia/Tehran',
  58: 'Etc/GMT-4',
  59: 'Asia/Baku',
  60: 'Asia/Yerevan',
  61: 'Asia/Tbilisi',
  62: 'Indian/Mauritius',
  63: 'Europe/Samara',
  64: 'Europe/Moscow',
  65: 'Asia/Kabul',
  66: 'Asia/Karachi',
  67: 'Asia/Tashkent',
  68: 'Asia/Calcutta',
  69: 'Asia/Colombo',
  70: 'Asia/Kathmandu',
  71: 'Asia/Dhaka',
  72: 'Asia/Almaty',
  73: 'Asia/Yekaterinburg',
  74: 'Asia/Rangoon',
  75: 'Asia/Bangkok',
  76: 'Asia/Novosibirsk',
  77: 'Asia/Shanghai',
  78: 'Asia/Krasnoyarsk',
  79: 'Asia/Singapore',
  80: 'Asia/Taipei',
  81: 'Asia/Ulaanbaatar',
  82: 'Australia/Perth',
  83: 'Asia/Seoul',
  84: 'Asia/Irkutsk',
  85: 'Asia/Tokyo',
  86: 'Australia/Darwin',
  87: 'Australia/Adelaide',
  88: 'Australia/Sydney',
  89: 'Australia/Brisbane',
  90: 'Australia/Hobart',
  91: 'Pacific/PortMoresby',
  92: 'Asia/Yakutsk',
  93: 'Pacific/Guadalcanal',
  94: 'Asia/Srednekolymsk',
  95: 'Asia/Vladivostok',
  96: 'Pacific/Fiji',
  97: 'Asia/Magadan',
  98: 'Pacific/Auckland',
  99: 'Asia/Kamchatka',
  100: 'Pacific/Tarawa',
  101: 'Pacific/Tongatapu',
  102: 'Pacific/Kiritimati',
};

const listTimezone = [
  'Pacific/Apia(GMT-13:00)',
  'Etc/GMT+12(GMT-12:00)',
  'Pacific/Midway(GMT-11:00)',
  'Pacific/Honolulu(GMT-10:00)',
  'America/Anchorage(GMT-09:00)',
  'America/Los_Angeles(GMT-08:00)',
  'America/Santa_Isabel(GMT-08:00)',
  'America/Denver(GMT-07:00)',
  'America/Chihuahua(GMT-07:00)',
  'America/Phoenix(GMT-07:00)',
  'America/Regina(GMT-06:00)',
  'America/Guatemala(GMT-06:00)',
  'America/Chicago(GMT-06:00)',
  'America/New_York(GMT-05:00)',
  'America/Bogota(GMT-05:00)',
  'America/Indianapolis(GMT-05:00)',
  'America/Caracas(GMT-04:30)',
  'America/Halifax(GMT-04:00)',
  'America/Cuiaba(GMT-04:00)',
  'America/Santiago(GMT-04:00)',
  'America/Asuncion(GMT-04:00)',
  'America/La_Paz(GMT-04:00)',
  'America/St_Johns(GMT-03:30)',
  'America/Bahia(GMT-03:00)',
  'America/Buenos_Aires(GMT-03:00)',
  'America/Sao_Paulo(GMT-03:00)',
  'America/Godthab(GMT-03:00)',
  'America/Montevideo(GMT-03:00)',
  'America/Cayenne(GMT-03:00)',
  'America/Noronha(GMT-02:00)',
  'Atlantic/Azores(GMT-01:00)',
  'Atlantic/Cape_Verde(GMT-01:00)',
  'Europe/London(GMT)',
  'Atlantic/Reykjavik(GMT)',
  'Africa/Casablanca(GMT)',
  'America/Danmarkshavn(GMT)',
  'Europe/Budapest(GMT+01:00)',
  'Europe/Warsaw(GMT+01:00)',
  'Africa/Windhoek(GMT+01:00)',
  'Europe/Paris(GMT+01:00)',
  'Africa/Lagos(GMT+01:00)',
  'Europe/Berlin(GMT+01:00)',
  'Africa/Cairo(GMT+02:00)',
  'Europe/Kiev(GMT+02:00)',
  'Europe/Bucharest(GMT+02:00)',
  'Asia/Jerusalem(GMT+02:00)',
  'Africa/Tripoli(GMT+02:00)',
  'Asia/Beirut(GMT+02:00)',
  'Africa/Johannesburg(GMT+02:00)',
  'Asia/Damascus(GMT+02:00)',
  'Europe/Istanbul(GMT+02:00)',
  'Asia/Riyadh(GMT+03:00)',
  'Asia/Baghdad(GMT+03:00)',
  'Europe/Minsk(GMT+03:00)',
  'Africa/Nairobi(GMT+03:00)',
  'Asia/Amman(GMT+03:00)',
  'Europe/Kaliningrad(GMT+03:00)',
  'Asia/Tehran(GMT+03:30)',
  'Etc/GMT-4(GMT+04:00)',
  'Asia/Baku(GMT+04:00)',
  'Asia/Yerevan(GMT+04:00)',
  'Asia/Tbilisi(GMT+04:00)',
  'Indian/Mauritius(GMT+04:00)',
  'Europe/Samara(GMT+04:00)',
  'Europe/Moscow(GMT+04:00)',
  'Asia/Kabul(GMT+04:30)',
  'Asia/Karachi(GMT+05:00)',
  'Asia/Tashkent(GMT+05:00)',
  'Asia/Calcutta(GMT+05:30)',
  'Asia/Colombo(GMT+05:30)',
  'Asia/Kathmandu(GMT+05:45)',
  'Asia/Dhaka(GMT+06:00)',
  'Asia/Almaty(GMT+06:00)',
  'Asia/Yekaterinburg(GMT+06:00)',
  'Asia/Rangoon(GMT+06:30)',
  'Asia/Bangkok(GMT+07:00)',
  'Asia/Novosibirsk(GMT+07:00)',
  'Asia/Shanghai(GMT+08:00)',
  'Asia/Krasnoyarsk(GMT+08:00)',
  'Asia/Singapore(GMT+08:00)',
  'Asia/Taipei(GMT+08:00)',
  'Asia/Ulaanbaatar(GMT+08:00)',
  'Australia/Perth(GMT+08:00)',
  'Asia/Seoul(GMT+09:00)',
  'Asia/Irkutsk(GMT+09:00)',
  'Asia/Tokyo(GMT+09:00)',
  'Australia/Darwin(GMT+09:30)',
  'Australia/Adelaide(GMT+09:30)',
  'Australia/Sydney(GMT+10:00)',
  'Australia/Brisbane(GMT+10:00)',
  'Australia/Hobart(GMT+10:00)',
  'Pacific/PortMoresby(GMT+10:00)',
  'Asia/Yakutsk(GMT+10:00)',
  'Pacific/Guadalcanal(GMT+11:00)',
  'Asia/Srednekolymsk(GMT+11:00)',
  'Asia/Vladivostok(GMT+11:00)',
  'Pacific/Fiji(GMT+12:00)',
  'Asia/Magadan(GMT+12:00)',
  'Pacific/Auckland(GMT+12:00)',
  'Asia/Kamchatka(GMT+12:00)',
  'Pacific/Tarawa(GMT+12:00)',
  'Pacific/Tongatapu(GMT+13:00)',
  'Pacific/Kiritimati(GMT+14:00)'
];
